Subject: 24.3.50; `FIND: Parameter format not correct'

From: "Drew Adams" <[email-masked]>
Date: Sat, 27 Apr 2013 10:26:16 -0700

1. emacs -Q
 
2. Load library cygwin-mount.el then library setup-cygwin.el, from here:
http://www.emacswiki.org/emacs/?action=elisp-area;context=0
 
In a directory with some files having names matching aaa*:
 
M-x find-name-dired
 
Accept the default directory (current).
Enter aaa* for the file-name pattern.
 
I get the error of the Subject line.
 
Same thing if I just enter commands like this in an Emacs `shell' buffer:
 
> find . \( -iname aaa\* \) -exec ls -ld \{\} \;
FIND: Parameter format not correct
> find . \( -iname aaa\* \) -ls
FIND: Parameter format not correct
 
What am I missing?  If I type exactly the same command in a Cywin
terminal (outside Emacs), it works fine.  My $SHELL is /bin/bash in both
cases (inside and outside Emacs).  Dunno whether there is an Emacs bug
here.  Help appreciated.
  
In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-04-26 on ODIEONE
Bzr revision: 112399 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'